#ifndef IIC_H_
#define IIC_H_

/////////////////////////////////////////////////////


#define LONG_ADDR		2
#define SHORT_ADDR	1

enum{
	I2C_NOK,
	I2C_OK	
};


/////////////////////////////////////////////////////

#define SDA		PTCD_PTCD1
#define SDA_DIR	PTCDD_PTCDD1
#define SCL		PTCD_PTCD0
#define SCL_DIR	PTCDD_PTCDD0

#define OUTPUT		    1
#define INPUT			0
#define HIGH			1
#define LOW				0


/////////////////////////////////////////////////////



unsigned char i2c_read(unsigned char dev,unsigned char len_add,unsigned char *data,unsigned char len);
unsigned char i2c_write(unsigned char dev,unsigned char *data,unsigned char len);

unsigned char IS_BIT_SET(unsigned char dato, unsigned char nbit);
void I2C_DELAY(void);

void I2C_SCL_OUTPUT(void);
void I2C_SET_SCL(void);
void I2C_CLEAR_SCL(void);
void I2C_SDA_INPUT(void);
void I2C_SDA_OUTPUT(void);
void I2C_SET_SDA(void);
void I2C_CLEAR_SDA(void);
unsigned char I2C_GET_SDA(void);

void i2c_init(void);

void i2c_scl_toggle(void);
void i2c_clk_gen(void);

void i2c_start(void);

void i2c_stop(void);
void i2c_restart(void);

unsigned char i2c_put_byte(unsigned char dato);
unsigned char i2c_get_byte(signed long last);
/////////////////////////////////////////////////////

#endif
